Skip to main content
PATCH
/
plugins
/
{slug}
/
versions
/
{version}
Update plugin version details
curl --request PATCH \
  --url https://registry.wp-content.io/plugins/{slug}/versions/{version} \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "release_notes": "Release notes for this version\n_Markdown is accepted_."
}
'
import requests

url = "https://registry.wp-content.io/plugins/{slug}/versions/{version}"

payload = { "release_notes": "Release notes for this version
_Markdown is accepted_." }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({release_notes: 'Release notes for this version\n_Markdown is accepted_.'})
};

fetch('https://registry.wp-content.io/plugins/{slug}/versions/{version}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "version": "1.0.0",
  "release_notes": "Release notes for this version\n_Markdown is accepted_.",
  "download_link": "https://wp-content-staging.s3.fr-par.scw.cloud/artifacts/plugins/my-plugin/my-plugin-1.0.0-81ae9121fde9f29c489c72dd3d8d9377.zip",
  "checksum": "81ae9121fde9f29c489c72dd3d8d9377",
  "latest": false,
  "added": "2025-06-11",
  "last_updated": "2025-06-11 9:19am UTC"
}
{
"status": 404,
"error": 404,
"messages": {
"error": "Not Found"
}
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

slug
string
required

Slug of plugin

version
string
required

Plugin version to update

Body

application/json

The body is of type object.

Response

OK

The response is of type object.